# Check Requests Check Requests ## Gets all of the check requests in the system. - [GET /checkRequests/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/listcheckrequests.md): This method will scan all check requests and and return them to the caller. ## Creates a new check request record that does not already exist. - [POST /checkRequests/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/createcheckrequest.md): This method will auto-generate an ID and create a new check request. If an ID is specified for the check request, an error will be thrown. ## Execute Batch Operations - [POST /checkRequests/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Process the check request - [POST /checkRequests/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/processcheckrequest.md) ## Render the check request - [POST /checkRequests/{tenantId}/render](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/rendercheckrequest.md) ## Searches for check requests using predefined parameters - [POST /checkRequests/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/searchforcheckrequests.md): Searches for check requests using predefined parameters ## Returns a check request from the system by its ID. - [DELETE /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/deletecheckrequest.md): This method will delete a check request with the specified ID. ## Returns a check request from the system by its ID. - [GET /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/getcheckrequest.md): This method will look up a check request by the specified ID and return it back. ## Partially updates a check request with the specified ID. - [PATCH /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/patchcheckrequest.md): This method will patch an existing check request with the specified ID, using the HTTP PATCH specification. ## Updates a check request with the specified ID. - [PUT /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/updatecheckrequest.md): This method will update an existing check request with the specified ID.